

require "XpSystem/ISUI/ISCharacterScreen"

local FONT_HGT_SMALL = getTextManager():getFontHeight(UIFont.Small)

local original_ISCharacterScreen_render = ISCharacterScreen.render

function ISCharacterScreen:render()
    --gọi render gốc của game
    original_ISCharacterScreen_render(self)

    --custom code
	local textWid1 = getTextManager():MeasureStringX(UIFont.Small, getText("IGUI_char_Favourite_Weapon"))
	local textWid2 = getTextManager():MeasureStringX(UIFont.Small, getText("IGUI_char_Zombies_Killed"))
	local textWid3 = getTextManager():MeasureStringX(UIFont.Small, getText("IGUI_char_Survived_For"))
	local x = 20 + math.max(textWid1, textWid2, textWid3)
	
    z = self.height - FONT_HGT_SMALL
	local repPoint = VLGMD.GetReputationPoint(self.char)
	
    self:drawTextRight(getText("IGUI_VLQ_Reputation"), x, z, 1, 1, 1, 1, UIFont.Small)
	self:drawText(tostring(repPoint), x + 10, z, 1, 1, 1, 0.5, UIFont.Small)	--FIXME: điểm danh tiếng
	
	self:setHeightAndParentHeight(self.height + FONT_HGT_SMALL)
end












